<html>

<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="css.css" />
    <title>formulaire</title>

    <script type="text/javascript">
        
      var cpt = 3;
      function check() {
          var name = document.getElementById("name").value;
          var pass = document.getElementById("pass").value;
          if ((name == "user1" && pass == "123") || (name == "user2" && pass == "456") || (name == "user3" && pass == "789") || (name == "user4" && pass == "963") || (name == "user5" && pass == "321"))  {
              alert("Connexion réussie");
              document.getElementById("name").value = "";
              document.getElementById("pass").value = "";
              window.location.replace("file:///D:/Bilal/Ecole/Roubeau/Javascript/Tp%20Roubeau%2011-03-2021/TP%20Formulaire%20js/r%C3%A9ussie.html");

            }
          else {
              if (cpt == 0) {
                  alert("Vous n'avez plus d'essais restant.");
              }
              else {
                document.getElementById("name").value = "";
                document.getElementById("pass").value = "";
                  cpt = cpt - 1;
                  alert("Identification refusée, " + cpt + " essai(s) restant.");
                  
                   if (cpt == 0) {
                    window.location.replace("file:///D:/Bilal/Ecole/Roubeau/Javascript/Tp%20Roubeau%2011-03-2021/TP%20Formulaire%20js/%C3%A9chou%C3%A9.html");
                  }
             }
          }
        

          return false;
      }		
  </script>   
                  
                    

</head>

<body>
    <div class="login-box">
        <h2>Authentification</h2>
        <form id="form1" method="post" action="" onsubmit="return check();">
          <div class="user-box">
            <input type="text" id="name" placeholder="saisir votre Utilisateur" >
            <label for="login">Utilisateur : </label>
          </div>
          <div class="user-box">
            <input type="password" id="pass" placeholder="saisir votre mot de passe" maxlength="8" >
            <label>Mot de passe :</label>
          </div>

          <div class="Button">
            <td colspan="2">
              
              <a href="#">
                <span></span>
                <span></span>
                <span></span>
                <span></span>
                <input type="submit" id="form3" value="Envoyer" />
  

              
                <a href="#">
                  <span></span>
                  <span></span>
                  <span></span>
                  <span></span>
                <input type="reset" id="form2" value="Effacer"/>
            </td>
            </form>
          </div>
          </a>
        </form>
      </div>
</body>

</html>